Add datapoints to a dataset
curl --request POST \
--url https://api.honeyhive.ai/v1/datasets/{dataset_id}/datapoints \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{}
],
"mapping": {
"inputs": [],
"history": [],
"ground_truth": []
}
}
'import requests
url = "https://api.honeyhive.ai/v1/datasets/{dataset_id}/datapoints"
payload = {
"data": [{}],
"mapping": {
"inputs": [],
"history": [],
"ground_truth": []
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: [{}], mapping: {inputs: [], history: [], ground_truth: []}})
};
fetch('https://api.honeyhive.ai/v1/datasets/{dataset_id}/datapoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"inserted": true,
"datapoint_ids": [
"<string>"
]
}Datasets
Add datapoints to a dataset
Add new datapoints to an existing dataset. Provide raw data objects and a field mapping that specifies which fields map to inputs, ground truth, and history.
POST
/
v1
/
datasets
/
{dataset_id}
/
datapoints
Add datapoints to a dataset
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the dataset to add datapoints to like 663876ec4611c47f4970f0c3
Body
application/json
Was this page helpful?
⌘I

